Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Interface Value

All Known Implementing Classes:
  ArrayValue, DefaultingValue, EmptyFieldValue, LazyParameterBinding, NullValue, ScalarValue, SegmentArrayValue

    public interface Value

Field Summary
`static Value` | `EMPTY`
`static org.xml.sax.Attributes` | `EMPTY_ATTRIBUTES`
`static java.lang.Object[]` | `EMPTY_VALUE_ARRAY`

Method Summary
`boolean` | `equalsValue(Value value)`
`java.lang.Object` | `getObject()`
`Record[]` | `getRecords()` Returns the value as an array of records
`Record[]` | `getSegments()` Deprecated. since ServingXML 0.8.3: replaced by `getRecords()`
`int` | `getSqlType()`
`java.lang.Object` | `getSqlValue()`
`java.lang.String` | `getString()`
`java.lang.String[]` | `getStringArray()`
`ValueType` | `getType()`
`void` | `writeToContentHandler(Name fieldName, PrefixMap prefixMap, org.xml.sax.ContentHandler handler)`

Field Detail

### EMPTY

    static final Value EMPTY

### EMPTY_VALUE_ARRAY

    static final java.lang.Object[] EMPTY_VALUE_ARRAY

### EMPTY_ATTRIBUTES

    static final org.xml.sax.Attributes EMPTY_ATTRIBUTES

Method Detail

### getString

    java.lang.String getString()

### getObject

    java.lang.Object getObject()

### getStringArray

    java.lang.String[] getStringArray()

### getSegments

    @Deprecated
    Record[] getSegments()

  Deprecated. since ServingXML 0.8.3: replaced by `getRecords()`

  Returns the value as an array of records

### getRecords

    Record[] getRecords()

  Returns the value as an array of records

### getType

    ValueType getType()

### getSqlValue

    java.lang.Object getSqlValue()

### getSqlType

    int getSqlType()

### writeToContentHandler

    void writeToContentHandler(Name fieldName,
                               PrefixMap prefixMap,
                               org.xml.sax.ContentHandler handler)
                               throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### equalsValue

    boolean equalsValue(Value value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD